# SV_Semaphore_Simple.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_stat.h"`
`#include "ace/os_include/sys/os_ipc.h"`
`#include "ace/os_include/sys/os_sem.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/SV_Semaphore_Simple.inl"`

Include dependency graph for SV_Semaphore_Simple.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SV_Semaphore_Simple
| This is a simple semaphore package that assumes there are no race conditions for initialization (i.e., the order of process startup must be well defined). More...

## Defines

#define | ACE_DEFAULT_SEM_KEY "ACE_SEM_KEY"

## Detailed Description

Id
  SV_Semaphore_Simple.h,v 4.33 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_DEFAULT_SEM_KEY "ACE_SEM_KEY"